# /segments

The segments endpoint will deliver you all the possible segments that have been imported from a DMP.

## GET

A `GET` request can always be filtered by the get [parameters](http://docs.adnuntius.com/api/api-requests) defined in the introduction section of the api documentation.

**Example GET request:**

```http
GET https://api.adnuntius.com/api/v1/segments?context=<context>
```

```javascript
{
    "results": [
        {
            "id": "xxxxxxxxx",
            "createTime": "2017-01-04T02:51:44.516Z",
            "updateTime": "2018-01-09T19:38:23.112Z",
            "objectState": "ACTIVE",
            "validationWarnings": [],
            "description": "Description of segment",
            "name": "Name of segment",
            "network": {
                "id": "winning",
                "name": "winning",
                "url": "/api/v1/networks/winning"
            },
            "url": "/api/v1/segments/xxxxxxxxx"
        }
    ],
    "totalCount": 1
}
```

in order to see `HIDDEN` objects you will need to send `includeHidden=true`as a parameter to the `GET` query

| Name               | Restriction              | Description                                                           |
| ------------------ | ------------------------ | --------------------------------------------------------------------- |
| id                 | String                   | Identification of the object.                                         |
| createTime         | String                   | Date string referencing the creation of the object.                   |
| updateTime         | String                   | Date string referencing the update of the object.                     |
| objectState        | ACTIVE, INACTIVE, HIDDEN | State of the object, will disable or delete the object.               |
| validationWarnings | Array                    | Will tell if there's an error hindering the segment to work properly. |
| description        | String                   | The description for the creative                                      |
| name               | String                   | The name of the site group                                            |
| network            | Object                   | An object containing id, name and url to the network it is bound to.  |
| url                | String                   | A reference to the api link to use to find the specific segment.      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-advertising/admin-api/endpoints/segments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
